import request from '@/utils/request'

// 查询app-线下订单列表
export function listMallAppOrderOrder(query) {
  return request({
    url: '/mall/mallAppOrderOrder/list',
    method: 'get',
    params: query
  })
}

// 查询app-线下订单详细
export function getMallAppOrderOrder(id) {
  return request({
    url: '/mall/mallAppOrderOrder/' + id,
    method: 'get'
  })
}

// 新增app-线下订单
export function addMallAppOrderOrder(data) {
  return request({
    url: '/mall/mallAppOrderOrder',
    method: 'post',
    data: data
  })
}

// 修改app-线下订单
export function updateMallAppOrderOrder(data) {
  return request({
    url: '/mall/mallAppOrderOrder',
    method: 'put',
    data: data
  })
}

// 删除app-线下订单
export function delMallAppOrderOrder(id) {
  return request({
    url: '/mall/mallAppOrderOrder/' + id,
    method: 'delete'
  })
}

// 导出app-线下订单
export function exportMallAppOrderOrder(query) {
  return request({
    url: '/mall/mallAppOrderOrder/export',
    method: 'get',
    params: query
  })
}

// 导出
export function exportOrder(data) {
  return request({
    url: '/mall/mallAppOrderOrder/exportOrder',
    method: 'post',
    data:data
  })
}
